> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List calls

> List calls



## OpenAPI

````yaml get /calls
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /calls:
    get:
      tags:
        - Calls
      summary: List calls
      description: List calls
      parameters:
        - name: page[size]
          in: query
          required: false
          description: Page size
          schema:
            type: string
        - name: page[after]
          in: query
          required: false
          description: Page after
          schema:
            type: string
        - name: page[before]
          in: query
          required: false
          description: Page before
          schema:
            type: string
        - name: user_id
          in: query
          required: false
          description: Filter by user ID
          schema:
            type: string
        - name: from
          in: query
          required: false
          description: Filter by call from number
          schema:
            type: string
        - name: to
          in: query
          required: false
          description: Filter by call to number
          schema:
            type: string
        - name: start_date_from
          in: query
          required: false
          description: Select calls starting after this date (ISO 8601 format)
          schema:
            type: string
        - name: start_date_to
          in: query
          required: false
          description: Select calls starting before this date (ISO 8601 format)
          schema:
            type: string
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                successful:
                  value:
                    calls:
                      - id: 019e8e96-f0bb-7046-95c1-7eba023ab110
                        disposition_id: null
                        duration: null
                        external: false
                        start_date: '2026-06-03T17:44:17Z'
                        from: '+351999999999'
                        to: '+351888888888'
                        notes: null
                        transcription: null
                        task_id: null
                        user_id: 019e8e96-ef3b-7998-8ba4-4f418eae7fcf
                        human: false
                        answered: null
                        contact: null
                      - id: 019e8e96-f075-7d19-9817-1436a86bb962
                        disposition_id: null
                        duration: null
                        external: false
                        start_date: '2026-06-03T17:44:17Z'
                        from: '+351999999999'
                        to: '+351888888888'
                        notes: null
                        transcription: null
                        task_id: null
                        user_id: 019e8e96-ef3b-7998-8ba4-4f418eae7fcf
                        human: false
                        answered: null
                        contact: null
                      - id: 019e8e96-f00a-7c8e-aae8-70aa71ac2845
                        disposition_id: null
                        duration: null
                        external: false
                        start_date: '2026-06-03T17:44:17Z'
                        from: '+351999999999'
                        to: '+351888888888'
                        notes: null
                        transcription: null
                        task_id: null
                        user_id: 019e8e96-ef3b-7998-8ba4-4f418eae7fcf
                        human: false
                        answered: null
                        contact: null
                    _links:
                      self:
                        href: /calls?page[size]=20
              schema:
                type: object
                properties:
                  calls:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        from:
                          type: string
                        to:
                          type: string
                        duration:
                          nullable: true
                          type: integer
                        transcription:
                          nullable: true
                          type: string
                        recording_url:
                          nullable: true
                          type: string
                        answered:
                          nullable: true
                          type: boolean
                        human:
                          type: boolean
                        external:
                          type: boolean
                        start_date:
                          type: string
                          format: date_time
                        disposition_id:
                          type: string
                          format: uuid
                          nullable: true
                        task_id:
                          type: string
                          format: uuid
                          nullable: true
                        user_id:
                          type: string
                          format: uuid
                        contact:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                            name:
                              nullable: true
                              type: string
                            email:
                              nullable: true
                              type: string
                  _links:
                    $ref: '#/components/schemas/response_links_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Bad request:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: Invalid date format
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````